std::basic_string_view::empty(3)

NAME
std::basic_string_view::empty - std::basic_string_view::empty

Synopsis
   constexpr bool empty() const noexcept; (since C++17)
                        (until C++20)
   [[nodiscard]] constexpr bool empty() const noexcept; (since C++20)
   Checks if the view has no characters, i.e. whether size() == 0.

Parameters
   (none)

Return value
   true if the view is empty, false otherwise

Complexity
   Constant.

Example
// Run this code
 #include <string_view>
 #include <iostream>
 void check_string(std::string_view ref)
 {
         // Print a string surrounded by single quotes, its length
         // and whether it is considered empty.
         std::cout << std::boolalpha
                   << "'" << ref << "' has " << ref.size()
                   << " character(s); emptiness: " << ref.empty() << '\n';
 }
 int main(int argc, char **argv)
 {
         // An empty string
         check_string("");
         // Almost always not empty: argv[0]
         if (argc > 0)
                 check_string(argv[0]);
 }

Possible output:
 '' has 0 character(s); emptiness: true
 './a.out' has 7 character(s); emptiness: false

See also
   size returns the number of characters
   length (public member function)
   (C++17)
   max_size returns the maximum number of characters
   (C++17) (public member function)
   size
   ssize returns the size of a container or array
   (C++17) (function template)
   (C++20)
   empty checks whether the container is empty
   (C++17) (function template)
   empty checks whether the string is empty
            (public member function of std::basic_string<CharT,Traits,Allocator>)